// Vector.h: Interface for class Vector
//
//////////////////////////////////////////////////////////////////////

#if !defined(VECTOR_H)
#define VECTOR_H

class Vector
{
public:
	// variables are public for efficiency!
	float _[3];

	Vector();
	Vector(float x, float y, float z);
	Vector(float v[3]);

	void set(float x, float y, float z);

	~Vector();
	
	double abs();
	Vector norm();
	
	void operator*=(double s);
	void operator+=(const Vector &v);
	void operator/=(double s);

	Vector operator-();
};

//Vector operator-(const Vector &v);
Vector operator+(const Vector &v1, const Vector &v2);
Vector operator-(const Vector &v1, const Vector &v2);

Vector operator*(const Vector &v, double s);  //! scalar product
Vector operator/(const Vector &v, double s);


//! special operations
double operator*(const Vector &v1, const Vector &v2);  //! dot product
Vector operator^(const Vector &a, const Vector &b);    //! (outer-) cross product

#endif // !defined(VECTOR_H__INCLUDED_)
