/*  This program reads the sensor readings of an X-IST dataglove
 *  player driver and simply writes them stdout. It is for test
 *  purposes, i.e. debugging the player driver.
 */

#include <stdio.h>
#include <libplayerc++/playerc++.h>
#include "args.h"

using namespace PlayerCc;

int main(int argc, char *argv[])
{
	parse_args(argc, argv);

	PlayerClient pclient(gHostname, gPort);
	pclient.SetDataMode(PLAYER_DATAMODE_PUSH); // doesn't help :-(

	pclient.SetReplaceRule(false, PLAYER_MSGTYPE_DATA, -1, -1);

	AioProxy aio(&pclient, gIndex);

	aio.SetReplaceRule(PLAYER_MSGTYPE_DATA,-1);

	while(1) {
		pclient.Read();
		fprintf(stdout, "%f ", aio.GetDataTime());

		for(unsigned int i=0; i < aio.GetCount(); i++)
			fprintf(stdout, " %d", (int) aio.GetVoltage(i));

		fprintf(stdout, "\n");
	}

	return 0;
}

